Update

Beta

Updates a custom metadata schema. Updates are additive only: new fields may be added but existing fields may not be removed or have their type changed, and ENUM field value lists may be extended but not shrunk. The path must contain the most recent version to prevent races.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idUUIDRequired
The unique identifier for a custom MetadataSchema.
versionstringRequired

Request

This endpoint expects an object.
namestringRequired
fieldslist of objectsRequired
descriptionstringOptional

Response

This endpoint returns an object.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
fieldslist of objects
idUUID
The unique identifier for a custom MetadataSchema.
namestring
organization_idstring
The organization that owns this object.
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
descriptionstringOptional